Package org.apache.torque.generator.configuration

# Class ConfigurationEntityResolver

java.lang.Object
org.apache.torque.generator.configuration.ConfigurationEntityResolver

All Implemented Interfaces:
  `EntityResolver`

public class ConfigurationEntityResolver extends Object implements EntityResolver
A resolver to get the confoguration.xsd file for the XML parser from the jar.

Version:
  $Id: ConfigurationEntityResolver.java 1839288 2018-08-27 09:48:33Z tv $

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final String`
  `CONFIGURATION_SCHEMA_SYSTEMID`
  The SystemId of the configuration schema.
  `static final String`
  `OUTLET_SCHEMA_SYSTEMID`
  The SystemId of the configuration schema.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `ConfigurationEntityResolver()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `InputSource`
  `resolveEntity(String publicId, String systemId)`
  An implementation of the SAX `EntityResolver` interface to be called by the XML parser.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### CONFIGURATION_SCHEMA_SYSTEMID

    public static final String CONFIGURATION_SCHEMA_SYSTEMID
    The SystemId of the configuration schema.
    See Also:
      - Constant Field Values

  - ### OUTLET_SCHEMA_SYSTEMID

    public static final String OUTLET_SCHEMA_SYSTEMID
    The SystemId of the configuration schema.
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### ConfigurationEntityResolver

    public ConfigurationEntityResolver()

- ## Method Details

  - ### resolveEntity

    public InputSource resolveEntity(String publicId, String systemId) throws IOException, SAXException
    An implementation of the SAX `EntityResolver` interface to be called by the XML parser. If the URI is known, the corresponding resource from the jar is returned. In all other cases, null is returned to indicate that the parser should open a regular connection to the systemId URI.
    Specified by:
      `resolveEntity` in interface `EntityResolver`
    Parameters:
      `publicId` - The public identifier of the external entity
      `systemId` - The system identifier of the external entity
    Returns:
      An `InputSource` for the entity if the uri is known, or null otherwise.
    Throws:
      `IOException`
      `SAXException`